Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356517 - [RFE] Rebase fog-aws gem to add Govcloud region
Summary: [RFE] Rebase fog-aws gem to add Govcloud region
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - EC2
Version: 6.1.9
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Lai
URL:
Whiteboard:
: 1627905 (view as bug list)
Depends On:
Blocks: 1578161
TreeView+ depends on / blocked
 
Reported: 2016-07-14 10:04 UTC by vivpatil
Modified: 2019-04-01 20:27 UTC (History)
12 users (show)

Fixed In Version: foreman-1.18.0.29-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:26:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:27:05 UTC
Foreman Issue Tracker 15707 None None None 2018-09-18 12:58:23 UTC

Comment 1 Bryan Kearney 2016-07-15 15:15:33 UTC
Created redmine issue http://projects.theforeman.org/issues/15705 from this bug

Comment 2 Bryan Kearney 2016-07-15 15:40:19 UTC
Connecting redmine issue http://projects.theforeman.org/issues/15707 from this bug

Comment 3 Bryan Kearney 2016-08-10 19:18:49 UTC
Upstream bug component is Compute Resources - EC2

Comment 4 Bryan Kearney 2016-08-10 20:19:52 UTC
Upstream bug component is Compute Resources

Comment 5 Bryan Kearney 2016-08-10 22:19:26 UTC
Upstream bug component is Compute Resources - EC2

Comment 8 vivpatil 2016-11-23 01:28:08 UTC
Hello Bryan,

No the customer is not yet able to see the AWS govcloud region.

Comment 11 Lukas Zapletal 2017-05-10 11:10:38 UTC
Availability zones are hardcoded into fog-aws gem, we need to ask our packagers if it's feasible to get them into z-stream by rebasing. Backporting is impossible, whole gem is full of hardcoded code around zones.

Comment 12 pm-sat@redhat.com 2017-05-10 12:11:49 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/15707 has been resolved.

Comment 13 Lukas Zapletal 2017-05-12 08:04:47 UTC
I need rel-engs to evaluate this.

Comment 18 Marek Hulan 2018-09-14 10:58:04 UTC
*** Bug 1627905 has been marked as a duplicate of this bug. ***

Comment 21 pm-sat@redhat.com 2018-09-18 14:08:18 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 22 pm-sat@redhat.com 2018-09-18 14:08:22 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 23 Patrick Creech 2018-09-19 13:51:13 UTC
Marek,

This failed cherry-pick downstream, can you take a look?

Comment 24 Marek Hulan 2018-09-19 15:53:20 UTC
done

Comment 30 Patrick Creech 2018-09-24 14:42:04 UTC
snap 23, not 63

Comment 36 errata-xmlrpc 2018-10-16 15:26:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.